Index: trunk/abdev/BasicCompiler64/Compile_Set_Var.cpp
===================================================================
--- trunk/abdev/BasicCompiler64/Compile_Set_Var.cpp	(revision 206)
+++ trunk/abdev/BasicCompiler64/Compile_Set_Var.cpp	(revision 226)
@@ -1,3 +1,5 @@
 #include "stdafx.h"
+
+#include <Compiler.h>
 
 #include "../BasicCompiler_Common/common.h"
@@ -24,9 +26,9 @@
 		if( calcType.IsDouble() ){
 			//movlsd RightTermReg,xmm0
-			op_movsd_RR(RightTermReg,REG_XMM0);
+			compiler.codeGenerator.op_movsd_RR(RightTermReg,REG_XMM0);
 		}
 		else if( calcType.IsSingle() ){
 			//movlss RightTermReg,xmm0
-			op_movss_RR(RightTermReg,REG_XMM0);
+			compiler.codeGenerator.op_movss_RR(RightTermReg,REG_XMM0);
 		}
 	}
@@ -35,5 +37,5 @@
 
 		//mov RightTermReg,rax
-		op_mov_RR(RightTermReg,REG_RAX);
+		compiler.codeGenerator.op_mov_RR(RightTermReg,REG_RAX);
 	}
 
@@ -57,29 +59,29 @@
 
 				//mov rsi,RightTermReg
-				op_mov_RR(REG_RSI,RightTermReg);
+				compiler.codeGenerator.op_mov_RR(REG_RSI,RightTermReg);
 
 				//mov rdi,VarReg
-				op_mov_RR(REG_RDI,VarReg);
+				compiler.codeGenerator.op_mov_RR(REG_RDI,VarReg);
 
 				int object_size = varType.GetClass().GetSize();
 
 				//mov rcx,object_size
-				op_mov_RV(sizeof(_int64),REG_RCX,object_size);
+				compiler.codeGenerator.op_mov_RV(sizeof(_int64),REG_RCX,object_size);
 
 				if(bUseHeap){
 					//mov rax,rsi
-					op_mov_RR(REG_RAX,REG_RSI);
+					compiler.codeGenerator.op_mov_RR(REG_RAX,REG_RSI);
 				}
 
 				//rep movs byte ptr[rdi],byte ptr[rsi]
-				op_rep_movs(sizeof(BYTE));
+				compiler.codeGenerator.op_rep_movs(sizeof(BYTE));
 
 				if(bUseHeap){
 					//mov rcx,rax
-					op_mov_RR(REG_RCX,REG_RAX);
+					compiler.codeGenerator.op_mov_RR(REG_RCX,REG_RAX);
 
 					//call free
 					extern const UserProc *pSub_free;
-					op_call(pSub_free);
+					compiler.codeGenerator.op_call(pSub_free);
 				}
 
@@ -165,5 +167,5 @@
 		else{
 			//mov r11,qword ptr[rsp+offset]
-			op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -256,5 +258,5 @@
 		else{
 			//mov r11,qword ptr[rsp+offset]
-			op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -289,5 +291,5 @@
 
 		//cvttsd2si rax,xmm0
-		op_cvttsd2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
+		compiler.codeGenerator.op_cvttsd2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
 	}
 	else if(type==DEF_SINGLE){
@@ -295,12 +297,12 @@
 
 		//cvttss2si rax,xmm0
-		op_cvttss2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
+		compiler.codeGenerator.op_cvttss2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
 	}
 
 	//cmp rax,0
-	op_cmp_value(GetTypeSize(type,-1),REG_RAX,0);
+	compiler.codeGenerator.op_cmp_value(GetTypeSize(type,-1),REG_RAX,0);
 
 	//setne al
-	op_setne( REG_RAX );
+	compiler.codeGenerator.op_setne( REG_RAX );
 
 	SetWholeVariable( sizeof(char), DEF_BYTE, pRelative);
@@ -311,5 +313,5 @@
 
 		//cvttsd2si rax,xmm0
-		op_cvttsd2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
+		compiler.codeGenerator.op_cvttsd2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
 	}
 	else if(type==DEF_SINGLE){
@@ -317,5 +319,5 @@
 
 		//cvttss2si rax,xmm0
-		op_cvttss2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
+		compiler.codeGenerator.op_cvttss2si_xmm(sizeof(_int64),REG_RAX,REG_XMM0);
 	}
 	else{
@@ -340,5 +342,5 @@
 		if(pRelative->bOffsetOffset){
 			//mov ptr[r11+offset],rax/eax/ax/al
-			op_mov_MR(varSize,REG_RAX,REG_R11,(int)pRelative->offset,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_MR(varSize,REG_RAX,REG_R11,(int)pRelative->offset,MOD_BASE_DISP32);
 			obp-=sizeof(long);
 			pobj_GlobalVarSchedule->add();
@@ -347,5 +349,5 @@
 		else{
 			//mov ptr[offset],rax/eax/ax/al
-			op_mov_MR(varSize,REG_RAX,0,(int)pRelative->offset,MOD_DISP32);
+			compiler.codeGenerator.op_mov_MR(varSize,REG_RAX,0,(int)pRelative->offset,MOD_DISP32);
 			obp-=sizeof(long);
 			pobj_GlobalVarSchedule->add();
@@ -356,5 +358,5 @@
 		if(pRelative->bOffsetOffset){
 			//add r11,qword ptr[offset]
-			op_add_RM( sizeof(_int64), REG_R11, REG_NON, (int)pRelative->offset, MOD_DISP32 );
+			compiler.codeGenerator.op_add_RM( sizeof(_int64), REG_R11, REG_NON, (int)pRelative->offset, MOD_DISP32 );
 			obp-=sizeof(long);
 			pobj_GlobalVarSchedule->add();
@@ -363,5 +365,5 @@
 		else{
 			//mov r11,qword ptr[offset]
-			op_mov_RM(sizeof(_int64),REG_R11,REG_NON,(int)pRelative->offset,MOD_DISP32);
+			compiler.codeGenerator.op_mov_RM(sizeof(_int64),REG_R11,REG_NON,(int)pRelative->offset,MOD_DISP32);
 			obp-=sizeof(long);
 			pobj_GlobalVarSchedule->add();
@@ -374,5 +376,5 @@
 		if(pRelative->bOffsetOffset){
 			//mov ptr[rsp+r11+offset],rax/eax/ax/al
-			op_mov_MR_ex(varSize,REG_RAX,REG_RSP,REG_R11,(int)pRelative->offset,USE_OFFSET);
+			compiler.codeGenerator.op_mov_MR_ex(varSize,REG_RAX,REG_RSP,REG_R11,(int)pRelative->offset,USE_OFFSET);
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -381,5 +383,5 @@
 		else{
 			//mov ptr[rsp+offset],rax/eax/ax/al
-			op_mov_MR(varSize,REG_RAX,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_MR(varSize,REG_RAX,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -390,5 +392,5 @@
 		if(pRelative->bOffsetOffset){
 			//add r11,qword ptr[rsp+offset]
-			op_add_RM( sizeof(_int64), REG_R11, REG_RSP, (int)pRelative->offset, MOD_BASE_DISP32 );
+			compiler.codeGenerator.op_add_RM( sizeof(_int64), REG_R11, REG_RSP, (int)pRelative->offset, MOD_BASE_DISP32 );
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -397,5 +399,5 @@
 		else{
 			//mov r11,qword ptr[rsp+offset]
-			op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_RM(sizeof(_int64),REG_R11,REG_RSP,(int)pRelative->offset,MOD_BASE_DISP32);
 			obp-=sizeof(long);
 			AddLocalVarAddrSchedule();
@@ -409,5 +411,5 @@
 
 		//mov ptr[r11],rax/eax/ax/al
-		op_mov_MR(varSize,REG_RAX,REG_R11,0,MOD_BASE);
-	}
-}
+		compiler.codeGenerator.op_mov_MR(varSize,REG_RAX,REG_R11,0,MOD_BASE);
+	}
+}
